Subject: bug#24866: AucTeX not working on Emacs 25.1.1 for Mac

From: Lars Eriksson <[email-masked]>
Date: Tue, 8 Nov 2016 00:02:16 +0100

Hi Mosè,

I have now tested AucTeX (from git) on Emacs 25.1-1 on Mac and I am sorry to say that adding load paths did not help in my case. Same error, independent of load path. I have tried both without and with the addition of one and both of the following load paths before loading auctex.el
(add-to-list 'load-path "/Applications/Emacs.app/Contents/Resources/site-lisp")
(add-to-list 'load-path "/Applications/Emacs.app/Contents/Resources/site-lisp/auctex")
(load "auctex.el" nil t t)

From the debugger output below I have found that the error is encountered when it evaluates TeX-latex-mode() in the file latex.el. Even without the load paths above Emacs finds the file latex.el file that resides in the directory:
/Applications/Emacs.app/Contents/Resources/site-lisp/auctex/

My debugging skills and emacs hacking skills are limited so I have only run the lisp code to start the debugger (setq debug-on-error t). Then I load a latex file ”test.tex" and get the following backtrace:

Debugger entered--Lisp error: (void-variable LaTeX-preview-setup)
  byte-code("\303\300\304\"\210\305\306!\203\306\307	C#\210\310\311\312\"\210\310\311\313\"\210\305\314!\203'\314\n\315\"\210\304\207" [latex-mode-abbrev-table text-mode-abbrev-table LaTeX-preview-setup define-abbrev-table nil fboundp abbrev-table-put :parents add-to-list auto-mode-alist ("\\.drv\\'" . latex-mode) ("\\.hva\\'" . latex-mode) declare-function "preview"] 4)
  TeX-latex-mode()
  apply(TeX-latex-mode nil)
  latex-mode()
  TeX-tex-mode()
  apply(TeX-tex-mode nil)
  tex-mode()
  set-auto-mode-0(tex-mode nil)
  set-auto-mode()
  normal-mode(t)
  after-find-file(nil t)
  find-file-noselect-1(#<buffer test.tex> "~/Src/test.tex" nil nil "~/Src/test.tex" (16477140 16777220))
  find-file-noselect("~/Src/test.tex" nil nil t)
  find-file("~/Src/test.tex" t)
  funcall-interactively(find-file "~/Src/test.tex" t)
  call-interactively(find-file nil nil)
  command-execute(find-file)

Tests with Emacs 25.1-1 show that auctex-11.88 works  but neither auctex-11.89 nor the recent git version, this is on a Mac running El Capitan 10.11.6.

With Em25.5-1 and Auc11.88 I have a working configuration that I am satisfied with.
I really appreciate what Emacs and AucTeX helps me do in my writing, thanks for all your excellent work and efforts!

This is reported to help you in the development process.

Kind regards,
Lars Eriksson

> 7 nov. 2016 kl. 15:47 skrev Mosè Giordano <[email-masked]>:
> 
> 2016-11-07 15:40 GMT+01:00 Lars Eriksson <[email-masked]>:
>> Hi Mosè,
>> 
>> Thanks for being engaged in this.
>> 
>> Are you working on a Mac and did you try to start it without the load path added?
>> 
>> I have a configuration that works (Au 11.88 and Em 24.5) so I will need to uninstall and reinstall and do the testing, anyway I will test tonight for the benefit of the community...
> 
> No, I don't use Mac OS, but I'd surprised to discover this is an
> operating-system-related issue, the setup is supposed to be the same
> on all *nix systems.
> 
> Please, keep the [email-masked] address in the CC list when
> replying to this thread (simply hit the "Reply all" button), so that
> everybody can follow it.
> 
> Bye,
> Mosè